﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using WebApplication1.Models;

namespace WebApplication1.Controllers
{
  public class HomeController : Controller
  {
    public IActionResult Index()
    {
      var model = new List<DateTester>();
      model.Add(new DateTester()
      {
        DateTesterID = 1,
        EffectiveDate = DateTime.Now.AddDays(-5).Date,
        Value = 3.1415f
      });
      return View(model);
    }

    public IActionResult About()
    {
      ViewData["Message"] = "Your application description page.";

      return View();
    }

    public IActionResult Contact()
    {
      ViewData["Message"] = "Your contact page.";

      return View();
    }

    public IActionResult Error()
    {
      return View();
    }
  }
}